LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Modules | Variables
ControlActions.idl File Reference

Go to the source code of this file.

## Modules
module | com
| – idl definition –
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::ui
| Dialogs and other UI elements.
module | com::sun::star::ui::dialogs
| dialogs.

## Constant Groups
constants | com::sun::star::ui::dialogs::ControlActions
| Control actions for common and extended controls of a FilePicker.

## Variables
const short | ADD_ITEM = 1
| Adds an item to the content of the listbox. More...
const short | ADD_ITEMS = 2
| Adds a sequence of strings to the content of the listbox. More...
const short | DELETE_ITEM = 3
| Removes an item from a listbox. More...
const short | DELETE_ITEMS = 4
| Removes all items from the listbox. More...
const short | SET_SELECT_ITEM = 5
| Selects an item in a listbox. More...
const short | GET_ITEMS = 6
| Returns all items of the listbox as a sequence of strings. More...
const short | GET_SELECTED_ITEM = 7
| Returns the currently selected item. More...
const short | GET_SELECTED_ITEM_INDEX = 8
| Returns the zero based index of the currently selected item. More...
const short | SET_HELP_URL = 100
| Sets the help URL of a control. More...
const short | GET_HELP_URL = 101
| Retrieves the help URL of a control. More...